Debian Bug report logs - #545220
xterm: mutt line-character graphics show up wrong

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Paul Vojta <vojta@math.berkeley.edu>

Date: Sat, 5 Sep 2009 20:12:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/247-1

Fixed in version xterm/248-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Sat, 05 Sep 2009 20:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Vojta <vojta@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 05 Sep 2009 20:12:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Vojta <vojta@math.berkeley.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: mutt line-character graphics show up wrong
Date: Sat, 05 Sep 2009 12:50:07 -0700
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 247-1
Severity: normal

In the mutt mail reader, graphics using the line-graphics characters show
up wrong.  See the following sample screendumps (attached):

buggy.xwd  incorrect output by xterm-247 when viewing list of attachments
normal.xwd correct output of xterm-243 for the same screen
buggy2.xwd incorrect output of xterm-247 on same screen, after iconifying and
	de-iconifying

In all cases, this was obtained in mutt by using the 'v' keystroke to view
the list of attachments of a message.

The bug does not occur in xterm_243-1, but does occur in xterm_244-2,
xterm_246-1, and 247-1.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                  2.9-24            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libncurses5            5.7+20090803-1+b1 shared libraries for terminal hand
ii  libutempter0           1.1.5-2           A privileged helper for utmp/wtmp 
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxaw7                2:1.0.6-1         X11 Athena Widget library
ii  libxft2                2.1.13-3          FreeType-based font drawing librar
ii  libxmu6                2:1.0.4-2         X11 miscellaneous utility library
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  xbitmaps               1.0.1-2           Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information
[buggy.xwd (image/x-xwindowdump, attachment)]
[normal.xwd (image/x-xwindowdump, attachment)]
[buggy2.xwd (image/x-xwindowdump, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Tue, 08 Sep 2009 23:39:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 08 Sep 2009 23:39:22 GMT) Full text and rfc822 format available.

Message #10 received at 545220@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 545220@bugs.debian.org
Cc: 545220-submitter@bugs.debian.org
Subject: re: #545220 xterm: mutt line-character graphics show up wrong
Date: Tue, 08 Sep 2009 19:33:03 -0400
[Message part 1 (text/plain, inline)]
(it's working for me, of course ;-)

According to the bug report, that's using POSIX locale,
but I see a mention of cyrillic fonts.  What do the
X resource settings look like?

I'm using current-ncurses: ncurses 5.7.20090906

(I don't see anything that I've marked in NEWS between 20090803 and current
which seems to be a related fix).

Also

ii  mutt                                                     1.5.20-2                             text-based mailreader supporting MIME, GPG, 

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#545220. (Tue, 08 Sep 2009 23:39:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Wed, 09 Sep 2009 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Vojta <vojta@math.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Sep 2009 01:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 545220@bugs.debian.org (full text, mbox):

From: Paul Vojta <vojta@math.berkeley.edu>
To: dickey@his.com, 545220-quiet@bugs.debian.org
Cc: 545220@bugs.debian.org, 545220-submitter@bugs.debian.org
Subject: Re: Bug#545220: #545220 xterm: mutt line-character graphics show up wrong
Date: Tue, 8 Sep 2009 18:04:58 -0700
On Tue, Sep 08, 2009 at 07:33:03PM -0400, Thomas Dickey wrote:
> (it's working for me, of course ;-)
> 
> According to the bug report, that's using POSIX locale,
> but I see a mention of cyrillic fonts.  What do the
> X resource settings look like?

% xrdb -query | grep -i xterm
XTerm*BorderWidth:      3
XTerm*background:       white
XTerm*charClass:        33:48,35:48,37-38:48,43-47:48,58:48,61:48,63-64:48,95:48,126:48
XTerm*foreground:       black
XTerm*iconPixmap:       terminal
XTerm*jumpScroll:       on
XTerm*scrollBar:        on
XTerm*scrollInput:      on
XTerm*scrollKey:        on
XTerm.ptyInitialErase:  on
XTerm.vt100.backarrowKey:       off
XTerm.vt100.boldFont:   lucidasanstypewriter-bold-14
XTerm.vt100.font:       lucidasanstypewriter-14
XTerm.vt100.geometry:   80x66+1+1
XTerm.waitforwm:        off
Xtermmain*iconName:     dell
Xtermmain*title:        dell

> I'm using current-ncurses: ncurses 5.7.20090906

I upgraded to 5.7+20090803-2 (the latest available to me); no change.

> (I don't see anything that I've marked in NEWS between 20090803 and current
> which seems to be a related fix).
> 
> Also
> 
> ii  mutt                                                     1.5.20-2                             text-based mailreader supporting MIME, GPG, 

Same here.

I notice that "xterm -fn fixed" doesn't exhibit the bug.

--Paul Vojta, vojta@math.berkeley.edu




Information stored :
Bug#545220; Package xterm. (Wed, 09 Sep 2009 01:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Vojta <vojta@math.berkeley.edu>:
Extra info received and filed, but not forwarded. (Wed, 09 Sep 2009 01:06:05 GMT) Full text and rfc822 format available.

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#545220. (Wed, 09 Sep 2009 01:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Wed, 09 Sep 2009 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Sep 2009 09:36:06 GMT) Full text and rfc822 format available.

Message #31 received at 545220@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Paul Vojta <vojta@math.berkeley.edu>
Cc: 545220@bugs.debian.org, 545220-submitter@bugs.debian.org
Subject: Re: Bug#545220: #545220 xterm: mutt line-character graphics show up wrong
Date: Wed, 09 Sep 2009 05:30:43 -0400
[Message part 1 (text/plain, inline)]
On Tue, Sep 08, 2009 at 06:04:58PM -0700, Paul Vojta wrote:
> XTerm.vt100.boldFont:   lucidasanstypewriter-bold-14
> XTerm.vt100.font:       lucidasanstypewriter-14

this does something odd - will investigate/fix (thanks)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#545220. (Wed, 09 Sep 2009 09:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Thu, 10 Sep 2009 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 10 Sep 2009 00:33:04 GMT) Full text and rfc822 format available.

Message #39 received at 545220@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 545220@bugs.debian.org
Cc: 545220-submitter@bugs.debian.org
Subject: re: #545220 xterm: mutt line-character graphics show up wrong
Date: Wed, 09 Sep 2009 20:29:18 -0400
[Message part 1 (text/plain, inline)]
It was an optimization that wasn't completely right (fix will be in #248).
For reference, current changes toward #248 are attached.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-247a.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#545220. (Thu, 10 Sep 2009 00:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#545220; Package xterm. (Sat, 12 Sep 2009 12:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 Sep 2009 12:51:09 GMT) Full text and rfc822 format available.

Message #47 received at 545220@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 545220@bugs.debian.org
Cc: 545220-submitter@bugs.debian.org
Subject: re: #545220 xterm: mutt line-character graphics show up wrong
Date: Sat, 12 Sep 2009 08:31:25 -0400
[Message part 1 (text/plain, inline)]
This is fixed in patch #248

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sat, 12 Sep 2009 12:51:17 GMT) Full text and rfc822 format available.

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#545220. (Sat, 12 Sep 2009 12:51:37 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 16 Sep 2009 16:27:21 GMT) Full text and rfc822 format available.

Notification sent to Paul Vojta <vojta@math.berkeley.edu>:
Bug acknowledged by developer. (Wed, 16 Sep 2009 16:27:27 GMT) Full text and rfc822 format available.

Message #57 received at 545220-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 545220-close@bugs.debian.org
Subject: Bug#545220: fixed in xterm 248-1
Date: Wed, 16 Sep 2009 16:09:20 +0000
Source: xterm
Source-Version: 248-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_248-1.diff.gz
  to pool/main/x/xterm/xterm_248-1.diff.gz
xterm_248-1.dsc
  to pool/main/x/xterm/xterm_248-1.dsc
xterm_248-1_amd64.deb
  to pool/main/x/xterm/xterm_248-1_amd64.deb
xterm_248.orig.tar.gz
  to pool/main/x/xterm/xterm_248.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545220@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Sep 2009 15:53:07 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 248-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 545220
Changes: 
 xterm (248-1) unstable; urgency=low
 .
   * New upstream release
     + correct logic used to improve performance of missing-glyph check, which
       did not handle line-drawing characters (closes: #545220)
Checksums-Sha1: 
 3494347266c700935a568b270fc93ba806229773 1314 xterm_248-1.dsc
 de8178c85cce8b87e2c8c2e1ca2b4c5be5c4dae9 883676 xterm_248.orig.tar.gz
 45e812b4fc0f1e0faa85e08a9d6982fc1898f10e 74262 xterm_248-1.diff.gz
 3abffe2761d6b4f9128e2f81604fca0f3cb211bc 513074 xterm_248-1_amd64.deb
Checksums-Sha256: 
 aae874ebde76c2bd007dcf4f463baff21eaed3bce05a4830b8b49fadb2a7f2a7 1314 xterm_248-1.dsc
 2341730ce747338859f42e28c0af73701d1874abb9f6daa958bc9acdf38e0b1d 883676 xterm_248.orig.tar.gz
 05901556f91fec5200772aaf1fc3d7a9187805916ebf2d8f919f2ff80bcaaa30 74262 xterm_248-1.diff.gz
 0b874071770435c07030802d3a01505163ac8134b0d36075dd7cd8e718d64422 513074 xterm_248-1_amd64.deb
Files: 
 2fa5212ecc6461a598c5bf455754a279 1314 x11 optional xterm_248-1.dsc
 70771a21fbc54a79f68374cebb49935a 883676 x11 optional xterm_248.orig.tar.gz
 ad7ba72c27c443ca0b7bf82586351580 74262 x11 optional xterm_248-1.diff.gz
 50b2faa6e88b23dff5a97929945089d1 513074 x11 optional xterm_248-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqw8PIACgkQmEvTgKxfcAxOeACcDtu9/5bb4R5xarhkKJiH5bC9
5BMAn3T/MqUC7TLH7ryUytSJnmtkhB5s
=QQj8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Oct 2009 07:30:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:58:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.